Package de.willuhn.jameica.hbci.io

# Interface IO

All Known Subinterfaces:
  `Exporter`, `Importer`

All Known Implementing Classes:
  `AbstractBanking4UmsatzTypIO`, `AbstractDTAUSImporter`, `AbstractDTAUSIO`, `AbstractExporter`, `AbstractImporter`, `AbstractPDFUmsatzExporter`, `AbstractSepaExporter`, `AbstractSepaImporter`, `AbstractUmsatzTreeExporter`, `Banking4UmsatzTypExporter`, `Banking4UmsatzTypImporter`, `CamtUmsatzImporter`, `CsvImporter`, `DTAUSSammelTransferExporter`, `DTAUSUmsatzImporter`, `EinnahmeAusgabeExporter`, `MoneyplexUmsatzImporter`, `MT940UmsatzExporter`, `MT940UmsatzExporterMerged`, `MT940UmsatzImporter`, `PDFUmsatzByKontoExporter`, `PDFUmsatzByTypeExporter`, `SepaLastschriftExporter`, `SepaLastschriftImporter`, `SepaSammelLastschriftExporter`, `SepaSammelLastschriftImporter`, `SepaSammelUeberweisungExporter`, `SepaSammelUeberweisungImporter`, `SepaUeberweisungExporter`, `SepaUeberweisungImporter`, `UmsatzTreeAccountingExporter`, `UmsatzTreeCompleteExporter`, `UmsatzTreeSummaryExporter`, `VelocityExporter`, `XMLExporter`, `XMLImporter`, `XMLKontoauszugImporter`, `XMLSammelTransferExporter`, `XMLSepaSammelTransferExporter`, `XMLSepaSammelTransferImporter`, `XMLUmsatzImporter`, `XMLUmsatzTypImporter`

public interface IO
Basis-Interface aller Importer und Exporter.

## Method Summary

Modifier and Type
Method
Description
`IOFormat[]`
`getIOFormats(Class objectType)`
Liefert eine Liste der von diesem unterstuetzten Datei-Formate.
`String`
`getName()`
Liefert einen sprechenden Namen des Exporters/Importers.

## Method Details

### getName

String getName()
Liefert einen sprechenden Namen des Exporters/Importers. Z.Bsp. "Swift MT-940 Format".

Returns:
  Name

### getIOFormats

IOFormat[] getIOFormats(Class objectType)
Liefert eine Liste der von diesem unterstuetzten Datei-Formate.

Parameters:
  `objectType` - Art der zu exportierenden/importierenden Objekte. Z.Bsb.: Umsatz.class oder SammellastBuchung.class. Abhaengig davon kann der Exporter/Importer eine unterschiedliche Liste von Dateiformaten liefern, die er zu dieser Objektart unterstuetzt.
Returns:
  Liste der Export-Formate.